diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java
index fd3c93d812..997db9a92d 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java
@@ -21,22 +21,26 @@ import java.util.Set;
 
 import javax.persistence.Transient;
 
+import org.apache.commons.lang.StringUtils;
 import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.api.service.IOccurrenceService;
+import eu.etaxonomy.cdm.common.CdmUtils;
+import eu.etaxonomy.cdm.common.UTF8;
 import eu.etaxonomy.cdm.model.agent.AgentBase;
 import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.common.Annotation;
 import eu.etaxonomy.cdm.model.common.CdmBase;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
+import eu.etaxonomy.cdm.model.common.IOriginalSource;
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
+import eu.etaxonomy.cdm.model.common.OriginalSourceType;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
 import eu.etaxonomy.cdm.model.description.Feature;
-import eu.etaxonomy.cdm.model.description.Sex;
 import eu.etaxonomy.cdm.model.description.SpecimenDescription;
-import eu.etaxonomy.cdm.model.description.Stage;
 import eu.etaxonomy.cdm.model.description.TextData;
 import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.location.Point;
@@ -47,13 +51,12 @@ import eu.etaxonomy.cdm.model.occurrence.Collection;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
 import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
+import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
 import eu.etaxonomy.cdm.model.reference.Reference;
 
 /**
@@ -61,7 +64,7 @@ import eu.etaxonomy.cdm.model.reference.Reference;
  * a specimen based view. It does not support all functionality available in the
  * occurrence package.<BR>
  * The most significant restriction is that a specimen may derive only from one
- * direct derivation event and there must be only one field observation
+ * direct derivation event and there must be only one field unit
  * (gathering event) it derives from.<BR>
  * 
  * @author a.mueller
@@ -76,109 +79,16 @@ public class DerivedUnitFacade {
 	private static final boolean CREATE = true;
 	private static final boolean CREATE_NOT = false;
 
-	/**
-	 * Enum that defines the class the "Specimen" belongs to. Some methods of
-	 * the facade are not available for certain classes and will throw an
-	 * Exception when invoking them.
-	 */
-	public enum DerivedUnitType {
-		Specimen("Specimen"), 
-		Observation("Observation"), 
-		LivingBeing("Living Being"), 
-		Fossil("Fossil"), 
-		DerivedUnit("Derived Unit"),
-		//Field Observation is experimental, please handle with care (it is the only type which does not
-		//have a derivedUnit and therefore throws exceptions for all method on derivedUnit attributes
-		FieldObservation("FieldObservation");
-
-		String representation;
-
-		private DerivedUnitType(String representation) {
-			this.representation = representation;
-		}
-
-		/**
-		 * @return the representation
-		 */
-		public String getRepresentation() {
-			return representation;
-		}
-
-		public DerivedUnitBase<?> getNewDerivedUnitInstance() {
-			if (this == DerivedUnitType.Specimen) {
-				return eu.etaxonomy.cdm.model.occurrence.Specimen.NewInstance();
-			} else if (this == DerivedUnitType.Observation) {
-				return eu.etaxonomy.cdm.model.occurrence.Observation.NewInstance();
-			} else if (this == DerivedUnitType.LivingBeing) {
-				return eu.etaxonomy.cdm.model.occurrence.LivingBeing.NewInstance();
-			} else if (this == DerivedUnitType.Fossil) {
-				return eu.etaxonomy.cdm.model.occurrence.Fossil.NewInstance();
-			} else if (this == DerivedUnitType.DerivedUnit) {
-				return eu.etaxonomy.cdm.model.occurrence.DerivedUnit.NewInstance();
-			} else if (this == DerivedUnitType.FieldObservation) {
-				return null;
-			} else {
-				String message = "Unknown derived unit type %s";
-				message = String.format(message, this.getRepresentation());
-				throw new IllegalStateException(message);
-			}
-		}
-
-		public static DerivedUnitType valueOf2(String type) {
-			if (type == null) {
-				return null;
-			}
-			type = type.replace(" ", "").toLowerCase();
-			if (type.equals("specimen")) {
-				return Specimen;
-			} else if (type.equals("livingbeing")) {
-				return LivingBeing;
-			} else if (type.equals("observation")) {
-				return Observation;
-			} else if (type.equals("fossil")) {
-				return Fossil;
-			} else if (type.equals("fieldobservation")) {
-				return DerivedUnitType.FieldObservation;
-			} else if (type.equals("unknown")) {
-				return DerivedUnitType.DerivedUnit;
-			} else if (type.equals("derivedunit")) {
-				return DerivedUnitType.DerivedUnit;
-			}
-			return null;
-		}
-		
-		public static DerivedUnitType valueOf2(Class<? extends SpecimenOrObservationBase> clazz) {
-			if (clazz == null) {
-				return null;
-			}
-			if (clazz.equals(Specimen.class)) {
-				return Specimen;
-			} else if (clazz.equals(eu.etaxonomy.cdm.model.occurrence.LivingBeing.class)) {
-				return LivingBeing;
-			} else if (clazz.equals(eu.etaxonomy.cdm.model.occurrence.Observation.class)) {
-				return Observation;
-			} else if (clazz.equals(eu.etaxonomy.cdm.model.occurrence.Fossil.class)) {
-				return Fossil;
-			} else if (clazz.equals(FieldObservation.class)) {
-				return DerivedUnitType.FieldObservation;
-			} else if (clazz.equals(DerivedUnit.class)) {
-				return DerivedUnitType.DerivedUnit;
-			}
-			return null;
-		}
-
-	}
-
 	private final DerivedUnitFacadeConfigurator config;
 	
 	private Map<PropertyChangeListener, CdmBase> listeners = new HashMap<PropertyChangeListener, CdmBase>();
 
 	// private GatheringEvent gatheringEvent;
-	private DerivedUnitType type; // needed?
+	private SpecimenOrObservationType type; // needed?
 
-	private FieldObservation fieldObservation;
+	private FieldUnit fieldUnit;
 
-	private final DerivedUnitBase derivedUnit;
+	private final DerivedUnit derivedUnit;
 
 	// media - the text data holding the media
 	private TextData derivedUnitMediaTextData;
@@ -194,7 +104,7 @@ public class DerivedUnitFacade {
 	 * @param type
 	 * @return
 	 */
-	public static DerivedUnitFacade NewInstance(DerivedUnitType type) {
+	public static DerivedUnitFacade NewInstance(SpecimenOrObservationType type) {
 		return new DerivedUnitFacade(type, null, null);
 	}
 	
@@ -205,8 +115,8 @@ public class DerivedUnitFacade {
 	 * @param type
 	 * @return
 	 */
-	public static DerivedUnitFacade NewInstance(DerivedUnitType type, FieldObservation fieldObservation) {
-		return new DerivedUnitFacade(type, fieldObservation, null);
+	public static DerivedUnitFacade NewInstance(SpecimenOrObservationType type, FieldUnit fieldUnit) {
+		return new DerivedUnitFacade(type, fieldUnit, null);
 	}
 
 	/**
@@ -214,13 +124,13 @@ public class DerivedUnitFacade {
 	 * <code>type</code>.
 	 * 
 	 * @param type
-	 * @param fieldObservation the field observation to use
+	 * @param fieldUnit the field unit to use
 	 * @param config the facade configurator to use
-	 * //TODO are there any ambiguities to solve with defining a field observation or a configurator 
+	 * //TODO are there any ambiguities to solve with defining a field unit or a configurator 
 	 * @return
 	 */
-	public static DerivedUnitFacade NewInstance(DerivedUnitType type, FieldObservation fieldObservation, DerivedUnitFacadeConfigurator config) {
-		return new DerivedUnitFacade(type, fieldObservation, config);
+	public static DerivedUnitFacade NewInstance(SpecimenOrObservationType type, FieldUnit fieldUnit, DerivedUnitFacadeConfigurator config) {
+		return new DerivedUnitFacade(type, fieldUnit, config);
 	}
 
 	
@@ -232,12 +142,12 @@ public class DerivedUnitFacade {
 	 * @return
 	 * @throws DerivedUnitFacadeNotSupportedException
 	 */
-	public static DerivedUnitFacade NewInstance(DerivedUnitBase derivedUnit)
+	public static DerivedUnitFacade NewInstance(DerivedUnit derivedUnit)
 			throws DerivedUnitFacadeNotSupportedException {
 		return new DerivedUnitFacade(derivedUnit, null);
 	}
 
-	public static DerivedUnitFacade NewInstance(DerivedUnitBase derivedUnit,
+	public static DerivedUnitFacade NewInstance(DerivedUnit derivedUnit,
 			DerivedUnitFacadeConfigurator config)
 			throws DerivedUnitFacadeNotSupportedException {
 		return new DerivedUnitFacade(derivedUnit, config);
@@ -245,24 +155,35 @@ public class DerivedUnitFacade {
 
 	// ****************** CONSTRUCTOR ******************************************
 
-	private DerivedUnitFacade(DerivedUnitType type, FieldObservation fieldObservation, DerivedUnitFacadeConfigurator config) {
+	private DerivedUnitFacade(SpecimenOrObservationType type, FieldUnit fieldUnit, DerivedUnitFacadeConfigurator config) {
 		if (config == null){
 			config = DerivedUnitFacadeConfigurator.NewInstance();
 		}
 		this.config = config;
 		this.type = type;
 		// derivedUnit
-		derivedUnit = type.getNewDerivedUnitInstance();
-		setFieldObservation(fieldObservation);
+		derivedUnit = getNewDerivedUnitInstance(type);
+		setFieldUnit(fieldUnit);
 		if (derivedUnit != null){
 			setCacheStrategy();
 		}else{
-			setFieldObservationCacheStrategy();
+			setFieldUnitCacheStrategy();
 		}
 	}
 
-	private DerivedUnitFacade(DerivedUnitBase derivedUnit,
-			DerivedUnitFacadeConfigurator config)
+	private DerivedUnit getNewDerivedUnitInstance( SpecimenOrObservationType type) {
+		if (type.isFieldUnit()){
+			return null;
+		}else if(type.isAnyDerivedUnit()){
+			return DerivedUnit.NewInstance(type);
+		} else {
+			String message = "Unknown specimen or observation type %s";
+			message = String.format(message, type.getMessage());
+			throw new IllegalStateException(message);
+		}
+	}
+
+	private DerivedUnitFacade(DerivedUnit derivedUnit, DerivedUnitFacadeConfigurator config)
 			throws DerivedUnitFacadeNotSupportedException {
 
 		if (config == null) {
@@ -272,67 +193,66 @@ public class DerivedUnitFacade {
 
 		// derived unit
 		this.derivedUnit = derivedUnit;
-		this.type = DerivedUnitType.valueOf2(this.derivedUnit.getClass());
+		this.type = derivedUnit.getRecordBasis();
 		
 		// derivation event
 		if (this.derivedUnit.getDerivedFrom() != null) {
 			DerivationEvent derivationEvent = getDerivationEvent(CREATE);
-			// fieldObservation
-			Set<FieldObservation> fieldOriginals = getFieldObservationsOriginals(
-					derivationEvent, null);
+			// fieldUnit
+			Set<FieldUnit> fieldOriginals = getFieldUnitOriginals(derivationEvent, null);
 			if (fieldOriginals.size() > 1) {
 				throw new DerivedUnitFacadeNotSupportedException(
 						"Specimen must not have more than 1 derivation event");
 			} else if (fieldOriginals.size() == 0) {
-				// fieldObservation = FieldObservation.NewInstance();
+				// fieldUnit = FieldUnit.NewInstance();
 			} else if (fieldOriginals.size() == 1) {
-				fieldObservation = fieldOriginals.iterator().next();
-				// ###fieldObservation =
-				// getInitializedFieldObservation(fieldObservation);
+				fieldUnit = fieldOriginals.iterator().next();
+				// ###fieldUnit =
+				// getInitializedFieldUnit(fieldUnit);
 				if (config.isFirePropertyChangeEvents()){
-					addNewEventPropagationListener(fieldObservation);
+					addNewEventPropagationListener(fieldUnit);
 				}
 			} else {
 				throw new IllegalStateException("Illegal state");
 			}
 		}
 		
-		this.derivedUnitMediaTextData = inititializeTextDataWithSupportTest(
-				Feature.IMAGE(), this.derivedUnit, false, true);
-
-		fieldObjectMediaTextData = initializeFieldObjectTextDataWithSupportTest(
-				Feature.IMAGE(), false, true);
-
-		// handle derivedUnit.getMedia()
-		if (derivedUnit.getMedia().size() > 0) {
-			// TODO better changed model here to allow only one place for images
-			if (this.config.isMoveDerivedUnitMediaToGallery()) {
-				Set<Media> mediaSet = derivedUnit.getMedia();
-				for (Media media : mediaSet) {
-					this.addDerivedUnitMedia(media);
-				}
-				mediaSet.removeAll(getDerivedUnitMedia());
-			} else {
-				throw new DerivedUnitFacadeNotSupportedException(
-						"Specimen may not have direct media. Only (one) image gallery is allowed");
-			}
-		}
+		this.derivedUnitMediaTextData = inititializeTextDataWithSupportTest(Feature.IMAGE(), this.derivedUnit, false, true);
 
-		// handle fieldObservation.getMedia()
-		if (fieldObservation != null && fieldObservation.getMedia() != null
-				&& fieldObservation.getMedia().size() > 0) {
-			// TODO better changed model here to allow only one place for images
-			if (this.config.isMoveFieldObjectMediaToGallery()) {
-				Set<Media> mediaSet = fieldObservation.getMedia();
-				for (Media media : mediaSet) {
-					this.addFieldObjectMedia(media);
-				}
-				mediaSet.removeAll(getFieldObjectMedia());
-			} else {
-				throw new DerivedUnitFacadeNotSupportedException(
-						"Field object may not have direct media. Only (one) image gallery is allowed");
-			}
-		}
+		fieldObjectMediaTextData = initializeFieldObjectTextDataWithSupportTest(Feature.IMAGE(), false, true);
+
+		
+//direct media have been removed from specimenorobservationbase #3597
+//		// handle derivedUnit.getMedia()
+//		if (derivedUnit.getMedia().size() > 0) {
+//			// TODO better changed model here to allow only one place for images
+//			if (this.config.isMoveDerivedUnitMediaToGallery()) {
+//				Set<Media> mediaSet = derivedUnit.getMedia();
+//				for (Media media : mediaSet) {
+//					this.addDerivedUnitMedia(media);
+//				}
+//				mediaSet.removeAll(getDerivedUnitMedia());
+//			} else {
+//				throw new DerivedUnitFacadeNotSupportedException(
+//						"Specimen may not have direct media. Only (one) image gallery is allowed");
+//			}
+//		}
+//
+//		// handle fieldUnit.getMedia()
+//		if (fieldUnit != null && fieldUnit.getMedia() != null
+//				&& fieldUnit.getMedia().size() > 0) {
+//			// TODO better changed model here to allow only one place for images
+//			if (this.config.isMoveFieldObjectMediaToGallery()) {
+//				Set<Media> mediaSet = fieldUnit.getMedia();
+//				for (Media media : mediaSet) {
+//					this.addFieldObjectMedia(media);
+//				}
+//				mediaSet.removeAll(getFieldObjectMedia());
+//			} else {
+//				throw new DerivedUnitFacadeNotSupportedException(
+//						"Field object may not have direct media. Only (one) image gallery is allowed");
+//			}
+//		}
 
 		// test if descriptions are supported
 		ecology = initializeFieldObjectTextDataWithSupportTest(
@@ -344,8 +264,8 @@ public class DerivedUnitFacade {
 
 	}
 
-	private DerivedUnitBase getInitializedDerivedUnit(
-			DerivedUnitBase derivedUnit) {
+	private DerivedUnit getInitializedDerivedUnit(
+			DerivedUnit derivedUnit) {
 		IOccurrenceService occurrenceService = this.config
 				.getOccurrenceService();
 		if (occurrenceService == null) {
@@ -356,7 +276,7 @@ public class DerivedUnitFacade {
 			return derivedUnit;
 		}
 		propertyPaths = getDerivedUnitPropertyPaths(propertyPaths);
-		DerivedUnitBase result = (DerivedUnitBase) occurrenceService.load(
+		DerivedUnit result = (DerivedUnit) occurrenceService.load(
 				derivedUnit.getUuid(), propertyPaths);
 		return result;
 	}
@@ -366,23 +286,22 @@ public class DerivedUnitFacade {
 	 * path. If the property path is <code>null</code> or no occurrence service
 	 * is given the returned object is the same as the input parameter.
 	 * 
-	 * @param fieldObservation2
+	 * @param fieldUnit
 	 * @return
 	 */
-	private FieldObservation getInitializedFieldObservation(
-			FieldObservation fieldObservation) {
+	private FieldUnit getInitializedFieldUnit(FieldUnit fieldUnit) {
 		IOccurrenceService occurrenceService = this.config
 				.getOccurrenceService();
 		if (occurrenceService == null) {
-			return fieldObservation;
+			return fieldUnit;
 		}
 		List<String> propertyPaths = this.config.getPropertyPaths();
 		if (propertyPaths == null) {
-			return fieldObservation;
+			return fieldUnit;
 		}
 		propertyPaths = getFieldObjectPropertyPaths(propertyPaths);
-		FieldObservation result = (FieldObservation) occurrenceService.load(
-				fieldObservation.getUuid(), propertyPaths);
+		FieldUnit result = (FieldUnit) occurrenceService.load(
+				fieldUnit.getUuid(), propertyPaths);
 		return result;
 	}
 
@@ -543,14 +462,14 @@ public class DerivedUnitFacade {
 					"Facade's derviedUnit must not be null to set cache strategy");
 		}else{
 			derivedUnit.setCacheStrategy(new DerivedUnitFacadeCacheStrategy());
-			setFieldObservationCacheStrategy();
+			setFieldUnitCacheStrategy();
 		}
 	}
 
-	private void setFieldObservationCacheStrategy() {
+	private void setFieldUnitCacheStrategy() {
 		if (this.hasFieldObject()){
-			DerivedUnitFacadeFieldObservationCacheStrategy strategy = new DerivedUnitFacadeFieldObservationCacheStrategy();
-			this.fieldObservation.setCacheStrategy(strategy);
+			DerivedUnitFacadeFieldUnitCacheStrategy strategy = new DerivedUnitFacadeFieldUnitCacheStrategy();
+			this.fieldUnit.setCacheStrategy(strategy);
 		}
 	}
 
@@ -565,7 +484,7 @@ public class DerivedUnitFacade {
 			Feature feature, boolean createIfNotExists, boolean isImageGallery)
 			throws DerivedUnitFacadeNotSupportedException {
 		// field object
-		FieldObservation fieldObject = getFieldObservation(createIfNotExists);
+		FieldUnit fieldObject = getFieldUnit(createIfNotExists);
 		if (fieldObject == null) {
 			return null;
 		}
@@ -695,8 +614,7 @@ public class DerivedUnitFacade {
 			boolean createIfNotExists)
 			throws DerivedUnitFacadeNotSupportedException {
 		if (this.fieldObjectMediaTextData == null && createIfNotExists) {
-			this.fieldObjectMediaTextData = getImageGalleryTextData(
-					fieldObservation, "Field observation");
+			this.fieldObjectMediaTextData = getImageGalleryTextData(fieldUnit, "Field unit");
 		}
 		return this.fieldObjectMediaTextData;
 	}
@@ -706,33 +624,33 @@ public class DerivedUnitFacade {
 	 * @return
 	 * @throws DerivedUnitFacadeNotSupportedException
 	 */
-	private Set<FieldObservation> getFieldObservationsOriginals(
+	private Set<FieldUnit> getFieldUnitOriginals(
 			DerivationEvent derivationEvent,
 			Set<SpecimenOrObservationBase> recursionAvoidSet)
 			throws DerivedUnitFacadeNotSupportedException {
 		if (recursionAvoidSet == null) {
 			recursionAvoidSet = new HashSet<SpecimenOrObservationBase>();
 		}
-		Set<FieldObservation> result = new HashSet<FieldObservation>();
+		Set<FieldUnit> result = new HashSet<FieldUnit>();
 		Set<SpecimenOrObservationBase> originals = derivationEvent.getOriginals();
 		for (SpecimenOrObservationBase original : originals) {
-			if (original.isInstanceOf(FieldObservation.class)) {
-				result.add(CdmBase.deproxy(original, FieldObservation.class));
-			} else if (original.isInstanceOf(DerivedUnitBase.class)) {
+			if (original.isInstanceOf(FieldUnit.class)) {
+				result.add(CdmBase.deproxy(original, FieldUnit.class));
+			} else if (original.isInstanceOf(DerivedUnit.class)) {
 				// if specimen has already been tested exclude it from further
 				// recursion
 				if (recursionAvoidSet.contains(original)) {
 					continue;
 				}
-				DerivedUnitBase derivedUnit = CdmBase.deproxy(original,
-						DerivedUnitBase.class);
+				DerivedUnit derivedUnit = CdmBase.deproxy(original,
+						DerivedUnit.class);
 				DerivationEvent originalDerivation = derivedUnit.getDerivedFrom();
 				// Set<DerivationEvent> derivationEvents =
 				// original.getDerivationEvents();
 				// for (DerivationEvent originalDerivation : derivationEvents){
-				Set<FieldObservation> fieldObservations = getFieldObservationsOriginals(
+				Set<FieldUnit> fieldUnits = getFieldUnitOriginals(
 						originalDerivation, recursionAvoidSet);
-				result.addAll(fieldObservations);
+				result.addAll(fieldUnits);
 				// }
 			} else {
 				throw new DerivedUnitFacadeNotSupportedException(
@@ -964,7 +882,7 @@ public class DerivedUnitFacade {
 	// }
 	// if (specimen == this.derivedUnit){
 	// return getDerivedUnitImageGalleryMedia();
-	// }else if (specimen == this.fieldObservation){
+	// }else if (specimen == this.fieldUnit){
 	// return getObservationImageGalleryTextData();
 	// }else{
 	// return getImageGalleryMedia(specimen, "Undefined specimen ");
@@ -988,7 +906,7 @@ public class DerivedUnitFacade {
 		}
 		if (specimen == this.derivedUnit) {
 			return getDerivedUnitImageGalleryTextData(createIfNotExists);
-		} else if (specimen == this.fieldObservation) {
+		} else if (specimen == this.fieldUnit) {
 			return getObservationImageGalleryTextData(createIfNotExists);
 		} else {
 			return getImageGalleryTextData(specimen, "Undefined specimen ");
@@ -1034,7 +952,31 @@ public class DerivedUnitFacade {
 		}
 	}
 
-	// absolute elevation
+	/**
+	 * Returns the correctly formatted <code>absolute elevation</code> information.
+	 * If absoluteElevationText is set, this will be returned,
+	 * otherwise we absoluteElevation will be returned, followed by absoluteElevationMax 
+	 * if existing, separated by " - " 
+	 * @return
+	 */
+	@Transient
+	public String absoluteElevationToString() {
+		if (! hasGatheringEvent()){
+			return null;
+		}else{
+			GatheringEvent ev = getGatheringEvent(true);
+			if (StringUtils.isNotBlank(ev.getAbsoluteElevationText())){
+				return ev.getAbsoluteElevationText();
+			}else{
+				String text = ev.getAbsoluteElevationText();
+				Integer min = getAbsoluteElevation();
+				Integer max = getAbsoluteElevationMaximum();
+				return distanceString(min, max, text);
+			}
+		}
+	}
+
+	
 	/**
 	 * meter above/below sea level of the surface
 	 * 
@@ -1043,45 +985,36 @@ public class DerivedUnitFacade {
 	 **/
 	@Transient
 	public Integer getAbsoluteElevation() {
-		return (hasGatheringEvent() ? getGatheringEvent(true)
-				.getAbsoluteElevation() : null);
+		return (hasGatheringEvent() ? getGatheringEvent(true).getAbsoluteElevation() : null);
 	}
 
 	public void setAbsoluteElevation(Integer absoluteElevation) {
 		getGatheringEvent(true).setAbsoluteElevation(absoluteElevation);
 	}
 
-	// absolute elevation error
-	@Transient
-	public Integer getAbsoluteElevationError() {
-		return (hasGatheringEvent() ? getGatheringEvent(true)
-				.getAbsoluteElevationError() : null);
+	public void setAbsoluteElevationMax(Integer absoluteElevationMax) {
+		getGatheringEvent(true).setAbsoluteElevationMax(absoluteElevationMax);
 	}
-
-	public void setAbsoluteElevationError(Integer absoluteElevationError) {
-		getGatheringEvent(true).setAbsoluteElevationError(
-				absoluteElevationError);
+	
+	public void setAbsoluteElevationText(String absoluteElevationText) {
+		getGatheringEvent(true).setAbsoluteElevationText(absoluteElevationText);
 	}
-
+	
 	/**
 	 * @see #getAbsoluteElevation()
 	 * @see #getAbsoluteElevationError()
 	 * @see #setAbsoluteElevationRange(Integer, Integer)
-	 * @see #getAbsoluteElevationMaximum()
+	 * @see #getAbsoluteElevationMinimum()
 	 */
 	@Transient
-	public Integer getAbsoluteElevationMinimum() {
+	public Integer getAbsoluteElevationMaximum() {
 		if (!hasGatheringEvent()) {
 			return null;
+		}else{
+			return getGatheringEvent(true).getAbsoluteElevationMax();
 		}
-		Integer minimum = getGatheringEvent(true).getAbsoluteElevation();
-		if (getGatheringEvent(true).getAbsoluteElevationError() != null) {
-			minimum = minimum
-					- getGatheringEvent(true).getAbsoluteElevationError();
-		}
-		return minimum;
 	}
-
+	
 	/**
 	 * @see #getAbsoluteElevation()
 	 * @see #getAbsoluteElevationError()
@@ -1089,71 +1022,25 @@ public class DerivedUnitFacade {
 	 * @see #getAbsoluteElevationMinimum()
 	 */
 	@Transient
-	public Integer getAbsoluteElevationMaximum() {
+	public String getAbsoluteElevationText() {
 		if (!hasGatheringEvent()) {
 			return null;
+		}else{
+			return getGatheringEvent(true).getAbsoluteElevationText();
 		}
-		Integer maximum = getGatheringEvent(true).getAbsoluteElevation();
-		if (getGatheringEvent(true).getAbsoluteElevationError() != null) {
-			maximum = maximum
-					+ getGatheringEvent(true).getAbsoluteElevationError();
-		}
-		return maximum;
 	}
 
 	/**
-	 * This method replaces absoluteElevation and absoulteElevationError by
-	 * internally translating minimum and maximum values into average and error
-	 * values. As all these values are integer based it is necessary that the
-	 * distance is between minimum and maximum is <b>even</b>, otherwise we will
-	 * get a rounding error resulting in a maximum that is increased by 1.
+	 * Convenience method to set absolute elevation minimum and maximum.
 	 * 
 	 * @see #setAbsoluteElevation(Integer)
-	 * @see #setAbsoluteElevationError(Integer)
-	 * @param minimumElevation
-	 *            minimum of the range
-	 * @param maximumElevation
-	 *            maximum of the range
-	 * @throws IllegalArgumentException
-	 */
-	public void setAbsoluteElevationRange(Integer minimumElevation, Integer maximumElevation) throws IllegalArgumentException{
-		if (minimumElevation == null || maximumElevation == null) {
-			Integer elevation = minimumElevation;
-			Integer error = 0;
-			if (minimumElevation == null) {
-				elevation = maximumElevation;
-				if (elevation == null) {
-					error = null;
-				}
-			}
-			getGatheringEvent(true).setAbsoluteElevation(elevation);
-			getGatheringEvent(true).setAbsoluteElevationError(error);
-		} else {
-			if (!isEvenDistance(minimumElevation, maximumElevation)) {
-				throw new IllegalArgumentException(
-						"Distance between minimum and maximum elevation must be even but was "
-								+ Math.abs(minimumElevation - maximumElevation));
-			}
-			Integer absoluteElevationError = Math.abs(maximumElevation
-					- minimumElevation);
-			absoluteElevationError = absoluteElevationError / 2;
-			Integer absoluteElevation = minimumElevation
-					+ absoluteElevationError;
-			getGatheringEvent(true).setAbsoluteElevation(absoluteElevation);
-			getGatheringEvent(true).setAbsoluteElevationError(
-					absoluteElevationError);
-		}
-	}
-
-	/**
-	 * @param minimumElevation
-	 * @param maximumElevation
-	 * @return
+	 * @see #setAbsoluteElevationMax(Integer)
+	 * @param minimumElevation minimum of the range
+	 * @param maximumElevation maximum of the range
 	 */
-	public boolean isEvenDistance(Integer minimumElevation,
-			Integer maximumElevation) {
-		Integer diff = (maximumElevation - minimumElevation);
-		return diff % 2 == 0;
+	public void setAbsoluteElevationRange(Integer minimumElevation, Integer maximumElevation) {
+		getGatheringEvent(true).setAbsoluteElevation(minimumElevation);
+		getGatheringEvent(true).setAbsoluteElevationMax(maximumElevation);
 	}
 
 	// collector
@@ -1170,8 +1057,7 @@ public class DerivedUnitFacade {
 	// collecting method
 	@Transient
 	public String getCollectingMethod() {
-		return (hasGatheringEvent() ? getGatheringEvent(true)
-				.getCollectingMethod() : null);
+		return (hasGatheringEvent() ? getGatheringEvent(true).getCollectingMethod() : null);
 	}
 
 	public void setCollectingMethod(String collectingMethod) {
